import type { Languages } from './languages';
import type { SourceIndex } from './sourceIndex';
/**
 * Query Suggestions configuration.
 */
export type QuerySuggestionsConfiguration = {
    /**
     * Algolia indices from which to get the popular searches for query suggestions.
     */
    sourceIndices: SourceIndex[];
    languages?: Languages;
    /**
     * Patterns to exclude from query suggestions.
     */
    exclude?: string[] | null;
    /**
     * Turn on personalized query suggestions.
     */
    enablePersonalization?: boolean;
    /**
     * Allow suggestions with special characters.
     */
    allowSpecialCharacters?: boolean;
};
//# sourceMappingURL=querySuggestionsConfiguration.d.ts.map